MOUNT(8)

NAME
mount - mount file systems

SYNOPSIS
mount [-Aadfruvw] [-t type]
[-dfruvw] special | node
[-dfruvw] [-o options] [-t type] special node

DESCRIPTION
The mount command invokes a filesystem-specific program to prepare and graft the special device or remote node (rhost:path) on to the file system tree at the point node. If either special or node are not provided, the appropriate information is taken from the fstab(5) file. The provided argument is looked up first in the “fs_file”, then in the “fs_spec” column.

The system maintains a list of currently mounted file systems. If no arguments are given to, this list is printed.

The options are as follows:

-A  Causes mount to try to mount all of the file systems listed in the fstab(5) file except those for which the “noauto” option is specified.

-a  Similar to the -A flag, except that if a file system (other than the root file system) appears to be already mounted, mount will not try to mount it again. mount assumes that a file system is already mounted if a file system with the same type is mounted on the given mount point. More stringent checks are not possible because some file system types report strange values for the mounted-from device for mounted file systems.

-d  Causes everything to be done except for the invocation of the filesystem-specific program. This option is useful in conjunction with the -v flag to determine what the mount command is trying to do.

-f  Forces the revocation of write access when trying to downgrade a filesystem mount status from read-write to read-only.

-o  Options are specified with a -o flag followed by a comma separated string of options. The following options are available:

    async
        All I/O to the file system should be done asynchronously. In the event of a crash, it is impossible for the system to verify the integrity of data on a file system mounted with this option. You should only use this option if you have an application-specific data recovery mechanism, or are willing to recreate the file system from scratch.

    noasync
        Clear async mode.

    force
        The same as -f; forces the revocation of write access when trying to downgrade a filesystem mount status from read-write to read-only.

    noatime
        Never update the access time field for files. This option is useful for optimizing read performance on filesystems that are used as news spools.

    noauto
        This filesystem should be skipped when mount is run with the -a flag.

    nodev
        Do not interpret character or block special devices on the file system. This option is useful for a server that has file systems containing special devices for architectures other than its own.

    nodevmtime
        Do not update modification times on device special files. This option is useful on laptops or other systems that perform power management.

    nocoredump
        Do not allow programs to create crash dumps (core files) on the file system. This option can be used to help protect sensitive data by keeping core files (which may contain sensitive data) from being created on insecure file systems. Only core files that would be created by program crashes are prevented by use of this flag; the behavior of savecore(8) is not affected.

    noexec
        Do not allow execution of any binaries on the mounted file system. This option is useful for a server that has file systems containing binaries for architectures other than its own.

    nosuid
        Do not allow set-user-identifier or set-group-identifier bits to take effect.

    rdonly
        The same as -r; mount the file system read-only (even the super-user may not write it).

    symperm
        Recognize permission of symbolic link when reading or traversing link.

    sync
        All I/O to the file system should be done synchronously. This is not equivalent to the normal mode in which only metadata is written synchronously.

    nosync
        Clear sync mode.

    update
        The same as -u; indicate that the status of an already mounted file system should be changed.

    union
        Causes the namespace at the mount point to appear as the union of the mounted filesystem root and the existing directory. Lookups will be done in the mounted filesystem first. If those operations fail due to a non-existent file the underlying directory is then accessed. All creates are done in the mounted filesystem, except for the fdesc file system.

    Any additional options specific to a given filesystem type (see the -t option) may be passed as a comma separated list; these options are distinguished by a leading “-” (dash). Options that take a value are specified using the syntax -option=value. For example, the mount command:

        mount -t mfs -o nosuid,-N,-s=4000 /dev/dk0b /tmp

    causes mount to execute the equivalent of:

        /sbin/mount_mfs -o nosuid -N -s 4000 /dev/dk0b /tmp

-r  The file system is to be mounted read-only. Mount the file system read-only (even the super-user may not write it). The same as the “rdonly” argument to the -o option.

-t type
    The argument following the -t is used to indicate the file system type. The type ffs is the default. The -t option can be used to indicate that the actions should only be taken on filesystems of the specified type. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. For example, the mount command:

        mount -a -t nonfs,mfs

    mounts all filesystems except those of type NFS and MFS.

    mount will attempt to execute a program in /sbin/mount_XXX where XXX is replaced by the type name. For example, nfs filesystems are mounted by the program /sbin/mount_nfs.

-u  The -u flag indicates that the status of an already mounted file system should be changed. Any of the options discussed above (the -o option) may be changed; also a file system can be changed from read-only to read-write or vice versa. An attempt to change from read-write to read-only will fail if any files on the filesystem are currently open for writing unless the -f flag is also specified. The set of options is determined by first extracting the options for the file system from the fstab(5) file, then applying any options specified by the -o argument, and finally applying the -r or -w option.

-v  Verbose mode.

-w  The file system object is to be read and write.

The options specific to the various file system types are described in the manual pages for those file systems' mount_XXX commands. For instance the options specific to Berkeley Fast File System (FFS) are described in the mount_ffs(8) manual page.

FILES
/etc/fstab
    file system table

SEE ALSO
mount(2), fstab(5), mount_ados(8), mount_cd9660(8), mount_ext2fs(8), mount_fdesc(8), mount_ffs(8), mount_filecore(8), mount_kernfs(8), mount_lfs(8), mount_mfs(8), mount_msdos(8), mount_nfs(8), mount_null(8), mount_portal(8), mount_procfs(8), mount_umap(8), mount_union(8), umount(8)

HISTORY
A mount command appeared in AT&T UNIX.